Page MenuHomeFreeBSD

Add a fusefs(5) man page
ClosedPublic

Authored by asomers on Mar 19 2019, 9:44 PM.

Details

Reviewers
cem
Group Reviewers
manpages
Commits
rS346186: fusefs: add a fusefs(5) man page
Summary

Add a fusefs(5) man page

PR: 233393

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

asomers created this revision.Mar 19 2019, 9:44 PM
Harbormaster completed remote builds in B23189: Diff 55253.

Minor grammar:

On what line?

cem added a comment.Mar 19 2019, 10:08 PM

Thanks for doing this. We've needed a page for a while. Have you run it past the igor tool?

share/man/man5/fusefs.5
46 ↗(On Diff #55253)

It's just "fuse"

51–52 ↗(On Diff #55253)

This sentence doesn't really add anything (IMO)

53–56 ↗(On Diff #55253)

Grammar here is off and I'm not sure this sentence adds anything

147 ↗(On Diff #55253)

arao@

150–153 ↗(On Diff #55253)

Oh?

Minor grammar:

On what line?

Sorry, I do not master Phabricator…

share/man/man5/fusefs.5
55 ↗(On Diff #55253)

s/implemented/implementing

asomers marked 5 inline comments as done.Mar 19 2019, 11:15 PM
asomers added inline comments.
share/man/man5/fusefs.5
46 ↗(On Diff #55253)

Not for long. See D19649.

asomers updated this revision to Diff 55259.Mar 19 2019, 11:15 PM

Address cem's and Juan's comments, and placate igor.

cem accepted this revision.Mar 19 2019, 11:21 PM

Ah thanks for the catch on attilio's actual @freebsd address

This revision is now accepted and ready to land.Mar 19 2019, 11:21 PM
bjk added a subscriber: bjk.Mar 20 2019, 4:08 AM
bjk added inline comments.
share/man/man5/fusefs.5
72 ↗(On Diff #55259)

Do we need to say these are read-only?

80 ↗(On Diff #55259)

"like normal" is a bit vague; is this "cached in the VFS layer as usual"?

122 ↗(On Diff #55259)

I'd suggest the Pc macro for the closing paren (and probably .Po for its mate, for consistency).

asomers marked 2 inline comments as done.Mar 20 2019, 4:16 AM
asomers added inline comments.
share/man/man5/fusefs.5
72 ↗(On Diff #55259)

Isn't that pretty obvious, for these two?

asomers updated this revision to Diff 55269.Mar 20 2019, 4:17 AM

Address b kaduk's comments.

This revision now requires review to proceed.Mar 20 2019, 4:17 AM
cem requested changes to this revision.Mar 20 2019, 4:38 AM
cem added inline comments.
share/man/man5/fusefs.5
122 ↗(On Diff #55259)

I’d discourage use of .Po and .Pc. Why make it harder to read?

This revision now requires changes to proceed.Mar 20 2019, 4:38 AM
asomers added inline comments.Mar 20 2019, 1:59 PM
share/man/man5/fusefs.5
122 ↗(On Diff #55259)

I have no opinion. You two please sort it out amongst yourselves; I'll go either way.

asomers added inline comments.Mar 27 2019, 12:29 AM
share/man/man5/fusefs.5
122 ↗(On Diff #55259)

Precedent suggests that either is acceptable. Our man1 section currently includes about 383 files that use ( and ) directly, and 11 that use .Po and .Pc . But since @bjk is a doc committer and @cem isn't, I'll commit it as @bjk suggested if I don't hear from either of you in the next 24 hours.

cem added a comment.Mar 27 2019, 12:47 AM

Please just use ordinary parentheses. The macros make pages harder to read and provide no benefit. As you note, plain parens are the vastly predominant style. I, too, would be curious why @bjk suggests using the macros.

danfe added a subscriber: danfe.Mar 27 2019, 6:19 AM

I was under impression that macros should be used when normal parentheses could not be, because of another nearby macro would garble formatting. Something like when closing parenthesis follows another macro, there'd be an extra space inserted before it, and to avoid this, one uses macros.

That said, I'd also like to hear a definitive answer from the doc team.

That makes sense, @danfe . In this case the closing paren immediately follows the .Xr macro.

danfe added inline comments.Mar 27 2019, 1:49 PM
share/man/man5/fusefs.5
49 ↗(On Diff #55269)

I recall that several years ago, we (as a project) have decided to use separate words (file system) rather than filesystem, see e.g. tunefs(8) et al. You might want to consider this, and/or ask someone who knows these bylaws better.

70 ↗(On Diff #55269)

ABI is an abbreviation and thus should be uppercased. Ditto below.

bcr added a subscriber: bcr.Mar 27 2019, 1:53 PM

Provide a link to the (small) word list in the FDP.

share/man/man5/fusefs.5
49 ↗(On Diff #55269)
asomers updated this revision to Diff 55492.Mar 27 2019, 1:58 PM

Respond to danfe's comments.

cem added inline comments.Mar 27 2019, 3:51 PM
share/man/man5/fusefs.5
53 ↗(On Diff #55492)

I'd suggest simplifying this sentence by removing the first clause and starting the next with "Userspace daemons can …".

Suggest "or even" -> plain "or".

(Or perhaps @bcr's wordlist implies "Userland" is preferred to "Userspace." Either way.)

54 ↗(On Diff #55492)

I might chop off everything after "languages." in this sentence.

The object of contrast (kernel) is implied by the "userspace" characterization above. There's also some philosophical nitpick argument about programming languages not necessarily being unable to run in the kernel, but I don't feel that argument should be weighed too heavily :-).

122 ↗(On Diff #55492)

(

124 ↗(On Diff #55492)

.Xr … ) renders correctly and use of trailing symbols is extremely common. (E.g., trailing commas in .Sh SEE ALSO section Xr lists.)

49 ↗(On Diff #55269)

Thanks, @bcr.

asomers updated this revision to Diff 55567.Mar 28 2019, 10:28 PM

Respond to cem's latest comments

emaste added a subscriber: emaste.Apr 1 2019, 6:15 PM

ping. Are we good here, @cem?

cem accepted this revision.Apr 13 2019, 4:41 AM
This revision is now accepted and ready to land.Apr 13 2019, 4:41 AM
This revision was automatically updated to reflect the committed changes.